<template>
  <div>
    <section class="wrap-cloud-main-screen">
      <cloud-main-screen />
    </section>
    <section class="wrap-cloud-advantage">
      <why-open />
    </section>
    <section class="wrap-cloud-solutions">
      <cloud-solutions />
    </section>
    <section class="wrap-cloud-specifications">
      <otc-specifications />
    </section>
    <section class="wrap-steps-launch">
      <steps-launch />
    </section>
    <section class="wrap-asked-questions">
      <asked-questions />
    </section>
    <section class="wrap-leave-request">
      <leave-request />
    </section>
  </div>
</template>

<script>
import CloudMainScreen from '../components/cloud/CloudMainScreen'
import StepsLaunch from '../components/cloud/StepsLaunch'
import AskedQuestions from '../components/cloud/AskedQuestions'
import LeaveRequest from '../components/cloud/LeaveRequest'
import WhyOpen from '../components/cloud/WhyOpen'
import CloudSolutions from '../components/cloud/CloudSolutions'
import OtcSpecifications from '../components/otc/OtcSpecifications'
export default {
  components: {
    OtcSpecifications,
    CloudSolutions,
    WhyOpen,
    LeaveRequest,
    AskedQuestions,
    StepsLaunch,
    CloudMainScreen,
  },

  head() {
    return {
      title: 'TBCC | Cloud',
      link: [
      {
        rel: "canonical", href: `https://tbcctoken.com${this.$route.path}`
      }
    ]
    }
  },
}
</script>

<style lang="scss" scoped>
.wrap-cloud-main-screen {
  @media (min-width: 768px) {
    padding-bottom: 85px;
  }
}

.wrap-cloud-advantage {
  position: relative;
  padding-bottom: 50px;

  @media (min-width: 768px) {
    padding-bottom: 160px;
  }

  @media (min-width: 1024px) {
    &::before {
      content: '';
      position: absolute;
      width: 506px;
      height: 898px;
      top: -5px;
      left: 0;
      background-image: url('../assets/img/cloud/bg-cloud.svg');
      background-repeat: no-repeat;
      background-position: center;
      pointer-events: none;
      z-index: -1;
    }

    &::after {
      content: '';
      position: absolute;
      width: 506px;
      height: 898px;
      top: 94px;
      right: 0;
      background-image: url('../assets/img/cloud/bg-cloud.svg');
      background-repeat: no-repeat;
      background-position: center;
      pointer-events: none;
      transform: scale(-1, 1);
      z-index: -1;
    }
  }
}

.wrap-cloud-solutions {
  position: relative;
  z-index: 1;

  @media (min-width: 768px) {
    padding-bottom: 50px;
  }

  @media (min-width: 1024px) {
    &::before {
      content: '';
      position: absolute;
      width: 506px;
      height: 898px;
      top: 643px;
      left: 0;
      background-image: url('../assets/img/cloud/bg-cloud.svg');
      background-repeat: no-repeat;
      background-position: center;
      pointer-events: none;
      z-index: -1;
    }

    &::after {
      content: '';
      position: absolute;
      width: 506px;
      height: 898px;
      top: 1008px;
      right: 0;
      background-image: url('../assets/img/cloud/bg-cloud.svg');
      background-repeat: no-repeat;
      background-position: center;
      pointer-events: none;
      transform: scale(-1, 1);
      z-index: -1;
    }
  }
}

.wrap-cloud-specifications {
  position: relative;
  padding-bottom: 90px;
  z-index: 1;

  @media (min-width: 768px) {
    padding-bottom: 130px;
  }
}

.wrap-cloud-team {
  padding-bottom: 150px;
}

.wrap-steps-launch {
  padding-bottom: 170px;
  position: relative;
  z-index: 1;

  @media (max-width: 767px) {
    padding-bottom: 60px;
  }

  @media (min-width: 1024px) {
    &::before {
      content: '';
      position: absolute;
      width: 506px;
      height: 898px;
      top: -285px;
      left: 0;
      background-image: url('../assets/img/cloud/bg-cloud.svg');
      background-repeat: no-repeat;
      background-position: center;
      pointer-events: none;
      z-index: -1;
    }

    &::after {
      content: '';
      position: absolute;
      width: 506px;
      height: 898px;
      top: 624px;
      right: 0;
      background-image: url('../assets/img/cloud/bg-cloud.svg');
      background-repeat: no-repeat;
      background-position: center;
      pointer-events: none;
      transform: scale(-1, 1);
      z-index: -1;
    }
  }
}

.wrap-asked-questions {
  padding-bottom: 120px;
  position: relative;
  z-index: 2;

  @media (max-width: 767px) {
    padding-bottom: 100px;
  }
}

.wrap-leave-request {
  position: relative;
  z-index: 1;
  padding-bottom: 220px;
  @media (min-width: 768px) {
    padding-bottom: 190px;
  }

  @media (min-width: 1024px) {
    &::before {
      content: '';
      position: absolute;
      width: 506px;
      height: 898px;
      top: -850px;
      left: 0;
      background-image: url('../assets/img/cloud/bg-cloud.svg');
      background-repeat: no-repeat;
      background-position: center;
      pointer-events: none;
      z-index: -1;
    }
  }

  &::after {
    content: '';
    width: 1798px;
    height: 715px;
    background-image: url('assets/img/stones@2x.png');
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    bottom: 0;
    right: 0;
    position: absolute;
    pointer-events: none;
    z-index: -1;

    @media (max-width: 767px) {
      width: 1039px;
      height: 450px;
      right: -70px;
    }
  }
}
</style>
